#45 libwmf-0.2.1 on Solaris 2.6 configure

open
nobody
None
5
2001-09-20
2001-09-20
Anonymous
No

Hi,

During ./configure the script libtool is generated.
When make is
executed it aborts due to several errors in libtool.
If the following default-settings are made in libtool,
in the libtool
config section, make succeeds:

pic_mode=default
hardcode_into_libs=yes
link_all_deplibs=yes
build_libtool_need_lc=yes

Since libtool is a generated script these
default-settings should be
made someplace else, but I'm not familiar with the
configure stuff so
I'll leave that to someone who is...

Regards,
.rune

Discussion

  • Francis James Franklin

    Logged In: YES
    user_id=146639

    Hi, sorry about this. This release ended up with a
    MacOSX-compatible libtool which obviously doesn't work with
    Solaris...

    I won't do it next time.

    Frank

     
  • Francis James Franklin

    Logged In: YES
    user_id=146639

    ps. Just copy libtool from some other package that does work
    with Solaris.

     
  • Nobody/Anonymous

    Logged In: NO

    Hi,
    It works now. Good job!
    Some points though...
    To get any word to Html conversion to work on Solaris 2.6 it
    was also
    necessary to get libiconv-1.7.0.1 and "force" wv-0.6.7 to
    use it.
    So the following line in Makefile was modified to include
    libiconv
    LIBS = -lz -L/usr/local/lib -lglib -lm -liconv
    I suggest you add those points to the config procedure and
    docs at least
    for Solaris 2.6.
    Bye for now!
    .rune

     

Log in to post a comment.